# Overflow - Sprint 07
## (19.7.2021 – 23.7.2021)
### Mitä suunnittelimme sprintille?


- Tavoite:
    - Toiminnallisuudet lisättyä ja toimimaan tällä viikolla.
    - Autentikointi keissiä mietitään lisää vasta sen jälkeen kun edeltävät asiat ok.
    - Power Automaten lisäys.
    - Admin frontti ja FFM frontti valmiiksi.   
    - Testeille jobit.
    - Jos aikaa/valmistuu backend/frontti, voi aloitella dokumentointia tälle.
    - Kontit kuben päälle pyörimään (extraa palvelun kannalta mutta pakollista tämän kesän Wimmalabissa).
- Sprintti 7 issue board: [linkki](https://gitlab.labranet.jamk.fi/wimmalab2021/overflow/core/-/boards/7185?milestone_title=Sprint%2007&)

### Miten saitte toteutettua sprintille suunnitellut tehtävät? Sekä sprintti katselmus

- Frontendin ja backendin konttien laitossa Kuberneteksen päälle (kera gitlab CI/CD pipeline) tuli ongelmia useamman kerran vastaan, mm erroreja. Loppujen lopuksi saatiin sinne pyörimään frontend ja backend sekä erikseen tietokanta virtuaalikoneen päällä. Ovat yhteydessä toisiinsa. Admin frontti konttia emme saaneet lisättyä kuben päälle samalle virtuaalikoneelle kuin frontti, joten teemme sen seuraavalla sprintillä manuaalisesti: buildaamme kontin ja docker pull ja docker run komentojen avulla laitamme sen pyörimään frontti virtuaalikoneelle.
- Toiminnallisuudet ok, muutaman jouduimme ajan vähyyden vuoksi jättämään pois tästä ekasta versiosta, valitettavasti.
- Autentikoitia emme saa tähän ensimmäiseen versioon sillä siinä emme keksineet järkevää ratkaisua ongelmaan: Oktan (ja Saml2 backendissä) kanssa se saatiin melkein toimimaan, mutta se mikä melkein toimii ei kuitenkaan toimi oikein. Dokumentoimme tämän kohdan mihin päästiin, varsinkin Saml2 koodien suhteen, ja toivomme että palvelun teon jatkaja saa ratkaistua tämän sekä voi lisätä Oktan (yms.) sijaan Haka-tunnistautumisen palveluun.
- Testejä on tehty, ja koodeista on löytynyt pari bugia, joita korjailtu/korjailemme.
- Dokumentointi aloitettu
- Power Automaten lisäystä suunniteltu ja testailtu sekä viimeistelty. Testattu toimivaksi. Power automatea käytetään Teams kanavan luontiin toimeksinatotiimi ryhmälle kun tämä tiimi on palvelussamme täyttynyt.
